org.jgrapht.experimental.alg.color

## Class BrownBacktrackColoring<V,E>

- java.lang.Object
- - org.jgrapht.experimental.alg.IntArrayGraphAlgorithm<V,E>
  - - org.jgrapht.experimental.alg.color.BrownBacktrackColoring<V,E>

- All Implemented Interfaces:
    ExactAlgorithm<Integer,V>

      public class BrownBacktrackColoring<V,E>
      extends IntArrayGraphAlgorithm<V,E>
      implements ExactAlgorithm<Integer,V>

  Author:
    micha

- - ### Field Summary

    - ### Fields inherited from class org.jgrapht.experimental.alg.IntArrayGraphAlgorithm

      `_neighbors, _vertexToPos, _vertices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrownBacktrackColoring(Graph<V,E> g)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getResult(Map<V,Object> additionalData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrownBacktrackColoring

          public BrownBacktrackColoring(Graph<V,E> g)

      Parameters:
        `g` -

  - ### Method Detail

    - #### getResult

          public Integer getResult(Map<V,Object> additionalData)

      Specified by:
        `getResult` in interface `ExactAlgorithm<Integer,V>`

Copyright © 2016. All rights reserved.